PHPの挙動が訳分からない

yurikoさんにコメントいただき、XSS脆弱性なるものが生じていたので、アホになる電卓Ver,1.1は一応削除しました。
セキュリティの問題です。
指摘していただき、本当にありがとうございます ^^;

で、yurikoさんに指摘していただいたXSS脆弱性の問題と配列変数の初期化の問題を修正してみました。
コレで大丈夫かな?

ってか、タイトルどおりPHPの挙動が訳分からないんです。
とりあえず修正済みのソースと

アホになる電卓 Ver. 1.1.1

。。。

“PHPの挙動が訳分からない” の続きを読む